#!/bin/bash

if [ $# -eq 0 ]; then
    echo "参数不能为0,请提供完整参数"
    exit 0
fi

place_holder=$1
appid=$2
containerid=$3
detach_param=$4
crun_dir="/crun"

if [ "$place_holder" -gt 0 ] 2>/dev/null; then
    for ((i = 0; i < place_holder; i++)); do
        true &
    done
fi

variable_params=("${@:5}")
"${variable_params[@]}"
ret=$?

# 判断是否有后台进程
while true; do
    num=$(lsns -n -t mnt | awk '{print $3}')
    if [ "$num" -gt 4 ]; then
        sleep 1
    else
        break
    fi
done

if [ "$detach_param" -eq 1 ]; then
    rm -rf $crun_dir/$containerid
fi

exit $ret
